package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.AttentionPoolStatistics;
import com.ruoyi.demo.entity.bo.AttentionPoolStatisticsBo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AttentionPoolStatisticsDao extends BaseMapper<AttentionPoolStatistics> {
    List<AttentionPoolStatistics> searchAllByUserId(String userId);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndDay(String userId);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndMonth(String userId);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndYear(String userId);
}
